package zoho

// const PROXY_URL = "https://proxy.pbx.zycoo.com"

type OauthServerInfoResp struct {
	Result    string   `json:"result"`
	Locations Location `json:"locations"`
}
type Location struct {
	Eu string `json:"eu"`
	Au string `json:"au"`
	In string `json:"in"`
	Jp string `json:"jp"`
	Uk string `json:"uk"`
	Us string `json:"us"`
	Ca string `json:"ca"`
	Sa string `json:"Sa"`
}

type UserCodeResp struct {
	UserCode                string `json:"user_code"`
	DeviceCode              string `json:"device_code"`
	Interval                int    `json:"interval"`
	VerificationUriComplete string `json:"verification_uri_complete"`
	ExpiresIn               int    `json:"expires_in"`
	VerificationUrl         string `json:"verification_url"`
}

type TokenResp struct {
	AccessToken  string `json:"access_token"`
	RefreshToken string `json:"refresh_token"`
	ApiDomain    string `json:"api_domain"`
	TokenType    string `json:"token_type"`
	ExpiresIn    int    `json:"expires_in"`
}

type RefreshTokenResp struct {
	AccessToken string `json:"access_token"`
	ApiDomain   string `json:"api_domain"`
	TokenType   string `json:"token_type"`
	ExpiresIn   int    `json:"expires_in"`
}
