package utils

import "fmt"

var DialPrefix = "PJSIP"

type Version struct {
	GitCommitCode string `json:"gitCommitcode"`
	GoVersion     string `json:"goVersion"`
	BuildDate     string `json:"buildDate"`
}

func (version *Version) String() string {
	return fmt.Sprintf("git commit code: %s\nbuild date: %s\ngo version: %s", version.GitCommitCode, version.BuildDate, version.GoVersion)
}

var VersionInstance = &Version{}
